Index: branches/2017/dev_r7663_ISOMIP_TEST_CASE/NEMOGCM/SETTE/input_ISOMIP.cfg
===================================================================
--- branches/2017/dev_r7663_ISOMIP_TEST_CASE/NEMOGCM/SETTE/input_ISOMIP.cfg	(revision 7668)
+++ branches/2017/dev_r7663_ISOMIP_TEST_CASE/NEMOGCM/SETTE/input_ISOMIP.cfg	(revision 7684)
@@ -1,1 +1,1 @@
-ISOMIP_v3.7.tar ISOMIP_v3.7
+
Index: branches/2017/dev_r7663_ISOMIP_TEST_CASE/NEMOGCM/SETTE/iodef_sette.xml
===================================================================
--- branches/2017/dev_r7663_ISOMIP_TEST_CASE/NEMOGCM/SETTE/iodef_sette.xml	(revision 7668)
+++ branches/2017/dev_r7663_ISOMIP_TEST_CASE/NEMOGCM/SETTE/iodef_sette.xml	(revision 7684)
@@ -12,7 +12,7 @@
 ============================================================================================================
     -->
-    <field_definition src="../../SHARED/field_def_nemo-opa.xml"/>
-    <field_definition src="../../SHARED/field_def_nemo-lim.xml"/>
-    <field_definition src="../../SHARED/field_def_nemo-pisces.xml"/>
+    <field_definition src="DEF_SHARED/field_def_nemo-opa.xml"/>
+    <field_definition src="DEF_SHARED/field_def_nemo-lim.xml"/>
+    <field_definition src="DEF_SHARED/field_def_nemo-pisces.xml"/>
     <!-- 
 ============================================================================================================
@@ -165,7 +165,7 @@
 ============================================================================================================
     -->
-    <field_definition src="../../SHARED/field_def_nemo-opa.xml"/>
-    <field_definition src="../../SHARED/field_def_nemo-lim.xml"/>
-    <field_definition src="../../SHARED/field_def_nemo-pisces.xml"/>
+    <field_definition src="DEF_SHARED/field_def_nemo-opa.xml"/>
+    <field_definition src="DEF_SHARED/field_def_nemo-lim.xml"/>
+    <field_definition src="DEF_SHARED/field_def_nemo-pisces.xml"/>
     <!-- 
 ============================================================================================================
Index: branches/2017/dev_r7663_ISOMIP_TEST_CASE/NEMOGCM/SETTE/prepare_exe_dir.sh
===================================================================
--- branches/2017/dev_r7663_ISOMIP_TEST_CASE/NEMOGCM/SETTE/prepare_exe_dir.sh	(revision 7668)
+++ branches/2017/dev_r7663_ISOMIP_TEST_CASE/NEMOGCM/SETTE/prepare_exe_dir.sh	(revision 7684)
@@ -71,4 +71,4 @@
 
 cp -RL ${CONFIG_DIR}/${NEW_CONF}/EXP00/* ${EXE_DIR}/.
-cp -R ${SETTE_DIR}/iodef_sette.xml ${EXE_DIR}/iodef.xml
+cat ${SETTE_DIR}/iodef_sette.xml | sed -e"s;DEF_SHARED;${CONFIG_DIR0}/SHARED;" > ${EXE_DIR}/iodef.xml
 cd ${EXE_DIR}
Index: branches/2017/dev_r7663_ISOMIP_TEST_CASE/NEMOGCM/SETTE/prepare_job.sh
===================================================================
--- branches/2017/dev_r7663_ISOMIP_TEST_CASE/NEMOGCM/SETTE/prepare_job.sh	(revision 7668)
+++ branches/2017/dev_r7663_ISOMIP_TEST_CASE/NEMOGCM/SETTE/prepare_job.sh	(revision 7684)
@@ -104,5 +104,5 @@
 echo "" >> ${SETTE_DIR}/output.sette
 echo "list of cpp_keys: " >> ${SETTE_DIR}/output.sette
-echo "`more ${SETTE_DIR}/../CONFIG/${NEW_CONF}/cpp_${NEW_CONF}.fcm`" >> ${SETTE_DIR}/output.sette
+echo "`more ${CONFIG_DIR}/${NEW_CONF}/cpp_${NEW_CONF}.fcm`" >> ${SETTE_DIR}/output.sette
 echo "" >> ${SETTE_DIR}/output.sette
 echo "compiling with: ${CMP_NAM}" >> ${SETTE_DIR}/output.sette
Index: branches/2017/dev_r7663_ISOMIP_TEST_CASE/NEMOGCM/SETTE/sette.sh
===================================================================
--- branches/2017/dev_r7663_ISOMIP_TEST_CASE/NEMOGCM/SETTE/sette.sh	(revision 7668)
+++ branches/2017/dev_r7663_ISOMIP_TEST_CASE/NEMOGCM/SETTE/sette.sh	(revision 7684)
@@ -88,6 +88,6 @@
 #
 # Compiler among those in NEMOGCM/ARCH
-COMPILER=X64_ADA_DEBUG
-export BATCH_COMMAND_PAR="llsubmit"
+COMPILER=XC40_METO
+export BATCH_COMMAND_PAR="qsub"
 export BATCH_COMMAND_SEQ=$BATCH_COMMAND_PAR
 export INTERACT_FLAG="no"
@@ -124,5 +124,5 @@
 SETTE_DIR=$(cd $(dirname "$0"); pwd)
 MAIN_DIR=$(dirname $SETTE_DIR)
-CONFIG_DIR=${MAIN_DIR}/CONFIG
+CONFIG_DIR0=${MAIN_DIR}/CONFIG
 TOOLS_DIR=${MAIN_DIR}/TOOLS
 COMPIL_DIR=${TOOLS_DIR}/COMPILE
@@ -151,6 +151,7 @@
 if [ ${config} -eq 1 ] ;  then
     ## Restartability tests for GYRE
+    unset NEMO_TDIR
     export TEST_NAME="LONG"
-    cd ${CONFIG_DIR}
+    cd ${CONFIG_DIR0}
     . ./makenemo -m ${CMP_NAM} -n GYRE_LONG -r GYRE -j 8 del_key ${DEL_KEYS}
     cd ${SETTE_DIR}
@@ -222,6 +223,7 @@
 if [ ${config} -eq 2 ] ;  then
     ## Reproducibility tests for GYRE
+    unset NEMO_TDIR
     export TEST_NAME="REPRO_4_8"
-    cd ${CONFIG_DIR}
+    cd ${CONFIG_DIR0}
     . ./makenemo -m ${CMP_NAM} -n GYRE_32 -r GYRE -j 8 del_key ${DEL_KEYS}
     cd ${SETTE_DIR}
@@ -287,6 +289,7 @@
 if [ ${config} -eq 3 ] ;  then
     ## Restartability tests for ORCA2_LIM3
+    unset NEMO_TDIR
     export TEST_NAME="LONG"
-    cd ${CONFIG_DIR}
+    cd ${CONFIG_DIR0}
     . ./makenemo -m ${CMP_NAM} -n ORCA2LIM3_LONG -r ORCA2_LIM3 -j 8 del_key ${DEL_KEYS}
     cd ${SETTE_DIR}
@@ -358,6 +361,7 @@
 if [ ${config} -eq 4 ] ;  then
     ## Reproducibility tests for ORCA2_LIM3
+    unset NEMO_TDIR
     export TEST_NAME="REPRO_8_4"
-    cd ${CONFIG_DIR}
+    cd ${CONFIG_DIR0}
     . ./makenemo -m ${CMP_NAM} -n ORCA2LIM3_32 -r ORCA2_LIM3 -j 8 del_key ${DEL_KEYS}
     cd ${SETTE_DIR}
@@ -423,6 +427,7 @@
 if [ ${config} -eq 5 ] ;  then
     ## Restartability tests for ORCA2_LIM3_PISCES
+    unset NEMO_TDIR
     export TEST_NAME="LONG"
-    cd ${CONFIG_DIR}
+    cd ${CONFIG_DIR0}
     . ./makenemo -m ${CMP_NAM} -n ORCA2LIM3PIS_LONG -r ORCA2_LIM3_PISCES -j 8 del_key ${DEL_KEYS}
     cd ${SETTE_DIR}
@@ -520,6 +525,7 @@
 if [ ${config} -eq 6 ] ;  then
     ## Reproducibility tests for ORCA2_LIM3_PISCES
+    unset NEMO_TDIR
     export TEST_NAME="REPRO_4_8"
-    cd ${CONFIG_DIR}
+    cd ${CONFIG_DIR0}
     . ./makenemo -m ${CMP_NAM} -n ORCA2LIM3PIS_32 -r ORCA2_LIM3_PISCES -j 8 del_key ${DEL_KEYS}
     cd ${SETTE_DIR}
@@ -609,6 +615,7 @@
 if [ ${config} -eq 7 ] ;  then
     ## Restartability tests for ORCA2_OFF_PISCES
+    unset NEMO_TDIR
     export TEST_NAME="LONG"
-    cd ${CONFIG_DIR}
+    cd ${CONFIG_DIR0}
     . ./makenemo -m ${CMP_NAM} -n ORCA2OFFPIS_LONG -r ORCA2_OFF_PISCES -j 8 del_key ${DEL_KEYS}
     cd ${SETTE_DIR}
@@ -700,6 +707,7 @@
 if [ ${config} -eq 8 ] ;  then
     ## Reproducibility tests for ORCA2_OFF_PISCES
+    unset NEMO_TDIR
     export TEST_NAME="REPRO_4_8"
-    cd ${CONFIG_DIR}
+    cd ${CONFIG_DIR0}
     . ./makenemo -m ${CMP_NAM} -n ORCA2OFFPIS_32 -r ORCA2_OFF_PISCES -j 8 del_key ${DEL_KEYS}
     cd ${SETTE_DIR}
@@ -788,6 +796,7 @@
 if [ ${config} -eq 9 ] ;  then
     ## Restartability tests for AMM12
+    unset NEMO_TDIR
     export TEST_NAME="LONG"
-    cd ${CONFIG_DIR}
+    cd ${CONFIG_DIR0}
     . ./makenemo -m ${CMP_NAM} -n AMM12_LONG -r AMM12 -j 8 add_key "key_tide" del_key ${DEL_KEYS}
     cd ${SETTE_DIR}
@@ -854,6 +863,7 @@
 if [ ${config} -eq 10 ] ;  then
 ## Reproducibility tests for AMM12
+    unset NEMO_TDIR
     export TEST_NAME="REPRO_8_4"
-    cd ${CONFIG_DIR}
+    cd ${CONFIG_DIR0}
     . ./makenemo -m ${CMP_NAM} -n AMM12_32 -r AMM12 -j 8 del_key ${DEL_KEYS}
     cd ${SETTE_DIR}
@@ -916,6 +926,7 @@
 if [ ${config} -eq 11 ] ;  then
     ## Restartability tests for SAS
+    unset NEMO_TDIR
     export TEST_NAME="LONG"
-    cd ${CONFIG_DIR}
+    cd ${CONFIG_DIR0}
     . ./makenemo -m ${CMP_NAM} -n SAS_LONG -r ORCA2_SAS_LIM3 -j 8 del_key ${DEL_KEYS}
     cd ${SETTE_DIR}
@@ -984,7 +995,9 @@
 if [ ${config} -eq 12 ] ;  then
     ## Restartability tests for ISOMIP
+    # to avoid unwanted ISOMIP_?? repository in CONFIG dir, unset NEMO_TDIR is needed
+    unset NEMO_TDIR            
     export TEST_NAME="LONG"
-    cd ${CONFIG_DIR}
-    . ./makenemo -m ${CMP_NAM} -n ISOMIP_LONG -r ISOMIP -j 8 del_key ${DEL_KEYS}
+    cd ${CONFIG_DIR0}
+    . ./makenemo -m ${CMP_NAM} -n ISOMIP_LONG -r ISOMIP -a TEST_CASES -j 8 del_key ${DEL_KEYS}
     cd ${SETTE_DIR}
     . ./param.cfg
@@ -1000,7 +1013,5 @@
     set_namelist namelist_cfg nn_stock 48
     set_namelist namelist_cfg ln_clobber .true.
-    set_namelist namelist_cfg ln_read_cfg .true.
-    set_namelist namelist_cfg ln_linssh .true.
-    set_namelist namelist_cfg nn_fwb 0
+    set_namelist namelist_cfg ln_read_cfg .false.
     set_namelist namelist_cfg jpni 4
     set_namelist namelist_cfg jpnj 8
@@ -1025,7 +1036,5 @@
     set_namelist namelist_cfg nn_rstctl 2
     set_namelist namelist_cfg ln_clobber .true.
-    set_namelist namelist_cfg ln_read_cfg .true.
-    set_namelist namelist_cfg ln_linssh .true.
-    set_namelist namelist_cfg nn_fwb 0
+    set_namelist namelist_cfg ln_read_cfg .false.
     set_namelist namelist_cfg jpni 4
     set_namelist namelist_cfg jpnj 8
@@ -1054,7 +1063,9 @@
 if [ ${config} -eq 13 ] ;  then
     ## Reproducibility tests for ISOMIP
+    # to avoid unwanted ISOMIP_?? repository in CONFIG dir, unset NEMO_TDIR is needed
+    unset NEMO_TDIR            
     export TEST_NAME="REPRO_4_8"
-    cd ${CONFIG_DIR}
-    . ./makenemo -m ${CMP_NAM} -n ISOMIP_32 -r ISOMIP -j 8 del_key ${DEL_KEYS}
+    cd ${CONFIG_DIR0}
+    . ./makenemo -m ${CMP_NAM} -n ISOMIP_32 -r ISOMIP -a TEST_CASES -j 8 del_key ${DEL_KEYS}
     cd ${SETTE_DIR}
     . ./param.cfg
@@ -1070,7 +1081,5 @@
     set_namelist namelist_cfg ln_ctl .false.
     set_namelist namelist_cfg ln_clobber .true.
-    set_namelist namelist_cfg ln_read_cfg .true.
-    set_namelist namelist_cfg ln_linssh .true.
-    set_namelist namelist_cfg nn_fwb 0
+    set_namelist namelist_cfg ln_read_cfg .false.
     set_namelist namelist_cfg jpni 4
     set_namelist namelist_cfg jpnj 8
@@ -1098,7 +1107,5 @@
     set_namelist namelist_cfg ln_ctl .false.
     set_namelist namelist_cfg ln_clobber .true.
-    set_namelist namelist_cfg ln_read_cfg .true.
-    set_namelist namelist_cfg ln_linssh .true.
-    set_namelist namelist_cfg nn_fwb 0
+    set_namelist namelist_cfg ln_read_cfg .false.
     set_namelist namelist_cfg jpni 8
     set_namelist namelist_cfg jpnj 4
@@ -1120,6 +1127,7 @@
 if [ ${config} -eq 14 ] ; then
    ## Reproducibility tests for ORCA2_LIM_OBS
+    unset NEMO_TDIR
     export TEST_NAME="REPRO_4_8"
-    cd ${CONFIG_DIR}
+    cd ${CONFIG_DIR0}
     . ./makenemo -m ${CMP_NAM} -n ORCA2_LIM3_OBS -r ORCA2_LIM3 -j 8 add_key "key_asminc" del_key ${DEL_KEYS}
     cd ${SETTE_DIR}
@@ -1205,6 +1213,7 @@
 if [ ${config} -eq 15 ] ;  then
     ## ORCA2_LIM with Agulhas AGRIF zoom in MPI
+    unset NEMO_TDIR
     export TEST_NAME="SHORT"
-    cd ${CONFIG_DIR}
+    cd ${CONFIG_DIR0}
     . ./makenemo -m ${CMP_NAM} -n ORCA2AGUL_1_2 -r ORCA2_LIM -j 8 add_key "key_agrif" del_key "key_zdftmx" del_key ${DEL_KEYS}
     cd ${SETTE_DIR}
@@ -1251,6 +1260,7 @@
 if [ ${config} -eq 16 ] ;  then
     # First run same as 15 but without zoom
+    unset NEMO_TDIR
     export TEST_NAME="SHORT_NOZOOM"
-    cd ${CONFIG_DIR}
+    cd ${CONFIG_DIR0}
     . ./makenemo -m ${CMP_NAM} -n ORCA2AGUL_2_2 -r ORCA2_LIM -j 8 add_key "key_agrif" del_key "key_zdftmx" del_key ${DEL_KEYS}
     cd ${SETTE_DIR}
@@ -1288,6 +1298,7 @@
     . ./fcm_job.sh $NPROC ${JOB_FILE} ${INTERACT_FLAG} ${MPIRUN_FLAG}
 
+    unset NEMO_TDIR
     export TEST_NAME="SHORT_NOAGRIF"
-    cd ${CONFIG_DIR}
+    cd ${CONFIG_DIR0}
     . ./makenemo -m ${CMP_NAM} -n ORCA2AGUL_2_2_NAG -r ORCA2_LIM -j 8 del_key "key_zdftmx" del_key ${DEL_KEYS}
     cd ${SETTE_DIR}
@@ -1326,6 +1337,7 @@
 ## Restartability tests for ORCA2_LIM_AGRIF 
 if [ ${config} -eq 17 ] ;  then
+    unset NEMO_TDIR
     export TEST_NAME="LONG"
-    cd ${CONFIG_DIR}
+    cd ${CONFIG_DIR0}
     . ./makenemo -m ${CMP_NAM} -n ORCA2AGUL_LONG -r ORCA2_LIM -j 8 add_key "key_agrif" del_key "key_zdftmx" del_key ${DEL_KEYS}
     cd ${SETTE_DIR}
@@ -1426,6 +1438,7 @@
 ## Reproducibility tests for ORCA2_LIM_AGRIF
 if [ ${config} -eq 18 ] ;  then
+    unset NEMO_TDIR
     export TEST_NAME="REPRO_4_4"
-    cd ${CONFIG_DIR}
+    cd ${CONFIG_DIR0}
     . ./makenemo -m ${CMP_NAM} -n ORCA2AGUL_16 -r ORCA2_LIM -j 8 add_key "key_agrif" del_key "key_zdftmx" del_key ${DEL_KEYS}
     cd ${SETTE_DIR}