Index: branches/2017/dev_r7663_ISOMIP_TEST_CASE/NEMOGCM/CONFIG/makenemo
===================================================================
--- branches/2017/dev_r7663_ISOMIP_TEST_CASE/NEMOGCM/CONFIG/makenemo	(revision 7684)
+++ branches/2017/dev_r7663_ISOMIP_TEST_CASE/NEMOGCM/CONFIG/makenemo	(revision 7700)
@@ -250,5 +250,5 @@
 REF_CONF=${x_r}
 USP_CONF=${x_u}
-NEMO_TDIR=${x_t:-$NEMO_TDIR}
+NEMO_TDIR=${x_t}
 export NEMO_TDIR=${NEMO_TDIR:-$CONFIG_DIR}
 export NEMO_DIR=${MAIN_DIR}/${x_s}
Index: branches/2017/dev_r7663_ISOMIP_TEST_CASE/NEMOGCM/SETTE/sette.sh
===================================================================
--- branches/2017/dev_r7663_ISOMIP_TEST_CASE/NEMOGCM/SETTE/sette.sh	(revision 7684)
+++ branches/2017/dev_r7663_ISOMIP_TEST_CASE/NEMOGCM/SETTE/sette.sh	(revision 7700)
@@ -151,5 +151,4 @@
 if [ ${config} -eq 1 ] ;  then
     ## Restartability tests for GYRE
-    unset NEMO_TDIR
     export TEST_NAME="LONG"
     cd ${CONFIG_DIR0}
@@ -223,5 +222,4 @@
 if [ ${config} -eq 2 ] ;  then
     ## Reproducibility tests for GYRE
-    unset NEMO_TDIR
     export TEST_NAME="REPRO_4_8"
     cd ${CONFIG_DIR0}
@@ -289,5 +287,4 @@
 if [ ${config} -eq 3 ] ;  then
     ## Restartability tests for ORCA2_LIM3
-    unset NEMO_TDIR
     export TEST_NAME="LONG"
     cd ${CONFIG_DIR0}
@@ -361,5 +358,4 @@
 if [ ${config} -eq 4 ] ;  then
     ## Reproducibility tests for ORCA2_LIM3
-    unset NEMO_TDIR
     export TEST_NAME="REPRO_8_4"
     cd ${CONFIG_DIR0}
@@ -427,5 +423,4 @@
 if [ ${config} -eq 5 ] ;  then
     ## Restartability tests for ORCA2_LIM3_PISCES
-    unset NEMO_TDIR
     export TEST_NAME="LONG"
     cd ${CONFIG_DIR0}
@@ -525,5 +520,4 @@
 if [ ${config} -eq 6 ] ;  then
     ## Reproducibility tests for ORCA2_LIM3_PISCES
-    unset NEMO_TDIR
     export TEST_NAME="REPRO_4_8"
     cd ${CONFIG_DIR0}
@@ -615,5 +609,4 @@
 if [ ${config} -eq 7 ] ;  then
     ## Restartability tests for ORCA2_OFF_PISCES
-    unset NEMO_TDIR
     export TEST_NAME="LONG"
     cd ${CONFIG_DIR0}
@@ -707,5 +700,4 @@
 if [ ${config} -eq 8 ] ;  then
     ## Reproducibility tests for ORCA2_OFF_PISCES
-    unset NEMO_TDIR
     export TEST_NAME="REPRO_4_8"
     cd ${CONFIG_DIR0}
@@ -796,5 +788,4 @@
 if [ ${config} -eq 9 ] ;  then
     ## Restartability tests for AMM12
-    unset NEMO_TDIR
     export TEST_NAME="LONG"
     cd ${CONFIG_DIR0}
@@ -863,5 +854,4 @@
 if [ ${config} -eq 10 ] ;  then
 ## Reproducibility tests for AMM12
-    unset NEMO_TDIR
     export TEST_NAME="REPRO_8_4"
     cd ${CONFIG_DIR0}
@@ -926,5 +916,4 @@
 if [ ${config} -eq 11 ] ;  then
     ## Restartability tests for SAS
-    unset NEMO_TDIR
     export TEST_NAME="LONG"
     cd ${CONFIG_DIR0}
@@ -995,6 +984,4 @@
 if [ ${config} -eq 12 ] ;  then
     ## Restartability tests for ISOMIP
-    # to avoid unwanted ISOMIP_?? repository in CONFIG dir, unset NEMO_TDIR is needed
-    unset NEMO_TDIR            
     export TEST_NAME="LONG"
     cd ${CONFIG_DIR0}
@@ -1063,6 +1050,4 @@
 if [ ${config} -eq 13 ] ;  then
     ## Reproducibility tests for ISOMIP
-    # to avoid unwanted ISOMIP_?? repository in CONFIG dir, unset NEMO_TDIR is needed
-    unset NEMO_TDIR            
     export TEST_NAME="REPRO_4_8"
     cd ${CONFIG_DIR0}
@@ -1127,5 +1112,4 @@
 if [ ${config} -eq 14 ] ; then
    ## Reproducibility tests for ORCA2_LIM_OBS
-    unset NEMO_TDIR
     export TEST_NAME="REPRO_4_8"
     cd ${CONFIG_DIR0}
@@ -1213,5 +1197,4 @@
 if [ ${config} -eq 15 ] ;  then
     ## ORCA2_LIM with Agulhas AGRIF zoom in MPI
-    unset NEMO_TDIR
     export TEST_NAME="SHORT"
     cd ${CONFIG_DIR0}
@@ -1260,5 +1243,4 @@
 if [ ${config} -eq 16 ] ;  then
     # First run same as 15 but without zoom
-    unset NEMO_TDIR
     export TEST_NAME="SHORT_NOZOOM"
     cd ${CONFIG_DIR0}
@@ -1298,5 +1280,4 @@
     . ./fcm_job.sh $NPROC ${JOB_FILE} ${INTERACT_FLAG} ${MPIRUN_FLAG}
 
-    unset NEMO_TDIR
     export TEST_NAME="SHORT_NOAGRIF"
     cd ${CONFIG_DIR0}
@@ -1337,5 +1318,4 @@
 ## Restartability tests for ORCA2_LIM_AGRIF 
 if [ ${config} -eq 17 ] ;  then
-    unset NEMO_TDIR
     export TEST_NAME="LONG"
     cd ${CONFIG_DIR0}
@@ -1438,5 +1418,4 @@
 ## Reproducibility tests for ORCA2_LIM_AGRIF
 if [ ${config} -eq 18 ] ;  then
-    unset NEMO_TDIR
     export TEST_NAME="REPRO_4_4"
     cd ${CONFIG_DIR0}