Index: trunk/DOC/TexFiles/Chapters/Chap_CFG.tex
===================================================================
--- trunk/DOC/TexFiles/Chapters/Chap_CFG.tex	(revision 7646)
+++ trunk/DOC/TexFiles/Chapters/Chap_CFG.tex	(revision 7705)
@@ -22,8 +22,10 @@
 thus allowing the user to verify that the code is performing in a manner consistent with that 
 we are running. This form of verification is critical as one adopts the code for his or her particular 
-research purposes. The test cases also provide a sense for some of the options available 
+research purposes. The reference configurations also provide a sense for some of the options available 
 in the code, though by no means are all options exercised in the reference configurations.
 
-Configuration is defined mainly through the \ngn{namcfg} namelist variables:
+Configuration is defined mainly through the \ngn{namcfg}  namelist variables:
+\sfcomment {Here change namcfg part of namelist. Configuration is defined throughout domain\_cfg.nc file now}  
+
 %------------------------------------------namcfg----------------------------------------------------
 \namdisplay{namcfg}
@@ -83,6 +85,6 @@
 the LIM sea-ice model (ORCA-LIM) and possibly with PISCES biogeochemical model 
 (ORCA-LIM-PISCES), using various resolutions.
-The appropriate \textit{\&namcfg} namelist is available in \textit{CONFIG/ORCA2\_LIM/EXP00/namelist\_cfg} 
-for ORCA2 and in \textit{CONFIG/SHARED/README\_other\_configurations\_namelist\_namcfg} 
+The appropriate namelist is available in \textit{CONFIG/ORCA2\_LIM3\_PISCES/EXP00/namelist\_cfg} 
+for ORCA2 and in \textit{CONFIG/SHARED/README\_configs\_namcfg\_namdom}  \sfcomment {not really true, they are obsolete namelists, where find these informations?}  
 for other resolutions
 
@@ -151,13 +153,15 @@
 The NEMO system is provided with five built-in ORCA configurations which differ in the 
 horizontal resolution. The value of the resolution is given by the resolution at the Equator 
-expressed in degrees. Each of configuration is set through the \textit{\ngn{namcfg}} namelist, 
-which sets the grid size and configuration 
-name parameters  (Tab. \ref{Tab_ORCA}).
-.
+expressed in degrees. Each of configuration is set through the \textit{domain\_cfg} file, 
+which sets the grid size and configuration name parameters \sfcomment {I would like to change tab_ORCA but I can not find it, wrong jp_cfg}  
+ (Tab. \ref{Tab_ORCA}).
+
+
+
 
 %--------------------------------------------------TABLE--------------------------------------------------
 \begin{table}[!t]     \begin{center}
 \begin{tabular}{p{4cm} c c c c}
-Horizontal Grid         	             & \np{jp\_cfg} &  \np{jpiglo} & \np{jpjglo} &       \\  
+Horizontal Grid         	             & \np{ORCA\_index} &  \np{jpiglo} & \np{jpjglo} &       \\  
 \hline  \hline
 \~4\deg	   &        4         &         92     &      76      &       \\
@@ -172,5 +176,5 @@
 \caption{ \label{Tab_ORCA}   
 Set of predefined parameters for ORCA family configurations.
-In all cases, the name of the configuration is set to "orca" ($i.e.$ \np{cp\_cfg}~=~orca). }
+In all cases, the flag for configurations of ORCA family is set to 1 in \textit{domain\_cfg}  }
 \end{center}
 \end{table}
@@ -191,5 +195,5 @@
 For ORCA\_R1 and R025, setting the configuration key to 75 allows to use 75 vertical levels, 
 otherwise 46 are used. In the other ORCA configurations, 31 levels are used 
-(see Tab.~\ref{Tab_orca_zgr} and Fig.~\ref{Fig_zgr}).
+(see Tab.~\ref{Tab_orca_zgr} \sfcomment{HERE I need to put new table for ORCA2 values} and Fig.~\ref{Fig_zgr}).
 
 Only the ORCA\_R2 is provided with all its input files in the \NEMO distribution. 
@@ -209,6 +213,5 @@
 
 ORCA\_R2 pre-defined configuration can also be run with an AGRIF zoom over the Agulhas 
-current area ( \key{agrif}  defined) and,  by setting the appropriate variables in 
-\textit{\&namcfg}, see \textit{CONFIG/SHARED/namelist\_ref}
+current area ( \key{agrif}  defined) and, by setting the appropriate variables, see \textit{CONFIG/SHARED/namelist\_ref}
 a regional Arctic or peri-Antarctic configuration is extracted from an ORCA\_R2 or R05 configurations
 using sponge layers at open boundaries. 
@@ -247,9 +250,8 @@
 uniformly applied to the whole domain.
 
-The GYRE configuration is set through the \textit{\&namcfg} namelist defined in the reference 
-configuration \textit{CONFIG/GYRE/EXP00/namelist\_cfg}. Its horizontal resolution 
-(and thus the size of the domain) is determined by setting \np{jp\_cfg} : \\
-\np{jpiglo} $= 30 \times$ \np{jp\_cfg} + 2   \\
-\np{jpjglo} $= 20 \times$ \np{jp\_cfg} + 2   \\
+The GYRE configuration is set like an analytical configuration, through \np{ln\_read\_cfg\textit{=true}} in \textit{namcfg} namelist defined in the reference configuration \textit{CONFIG/GYRE/EXP00/namelist\_cfg}. Its horizontal resolution 
+(and thus the size of the domain) is determined by setting \np{nn\_GYRE} in  \ngn{namusr\_def}: \\
+\np{jpiglo} $= 30 \times$ \np{nn\_GYRE} + 2   \\
+\np{jpjglo} $= 20 \times$ \np{nn\_GYRE} + 2   \\
 Obviously, the namelist parameters have to be adjusted to the chosen resolution, see the Configurations 
 pages on the NEMO web site (Using NEMO\/Configurations) .
@@ -259,5 +261,5 @@
 its resolution and as it does not requires any input file. For example, keeping a same model size 
 on each processor while increasing the number of processor used is very easy, even though the 
-physical integrity of the solution can be compromised.
+physical integrity of the solution can be compromised. Benchmark is activate via \np{ln\_bench\textit{=true}} in \ngn{namusr\_def} in namelist  \textit{CONFIG/GYRE/EXP00/namelist\_cfg}.
 
 %>>>>>>>>>>>>>>>>>>>>>>>>>>>>
@@ -270,17 +272,4 @@
 %>>>>>>>>>>>>>>>>>>>>>>>>>>>>
 
-% -------------------------------------------------------------------------------------------------------------
-%       EEL family configuration
-% -------------------------------------------------------------------------------------------------------------
-\section{EEL family: periodic channel}
-\label{MISC_config_EEL}
-
-\begin{description}
-\item[eel\_r2]  to be described....
-\item[eel\_r5]  
-\item[eel\_r6]  
-\end{description}
-The appropriate \textit{\&namcfg} namelists are available in  
-\textit{CONFIG/SHARED/README\_other\_configurations\_namelist\_namcfg}
 % -------------------------------------------------------------------------------------------------------------
 %       AMM configuration
Index: trunk/DOC/TexFiles/Chapters/Chap_DOM.tex
===================================================================
--- trunk/DOC/TexFiles/Chapters/Chap_DOM.tex	(revision 7646)
+++ trunk/DOC/TexFiles/Chapters/Chap_DOM.tex	(revision 7705)
@@ -18,5 +18,5 @@
 
 \newpage
-$\ $\newline    % force a new ligne
+$\ $\newline    % force a new line
 
 Having defined the continuous equations in Chap.~\ref{PE} and chosen a time 
@@ -26,5 +26,5 @@
 directory routines as well as the DOM (DOMain) directory. 
 
-$\ $\newline    % force a new lign
+$\ $\newline    % force a new line
 
 % ================================================================
@@ -268,19 +268,96 @@
 
 The total size of the computational domain is set by the parameters \np{jpiglo}, 
-\np{jpjglo} and \np{jpkdta} in the $i$, $j$ and $k$ directions respectively. They are 
+\np{jpjglo} and \np{jpkglo} in the $i$, $j$ and $k$ directions respectively. They are 
 given as namelist variables in the \ngn{namcfg} namelist. 
-
-Note that are other namelist variables in the \ngn{namcfg} namelist that refer to
- the domain size. 
-The two variables \np{jpidta} and \np{jpjdta} may be larger than \np{jpiglo}, \np{jpjglo}
-when the user wants to use only a sub-region of a given configuration. This is 
-the "zoom" capability described in \S\ref{MISC_zoom}. In most applications of 
-the model, $jpidta=jpiglo$, $jpjdta=jpjglo$, and $jpizoom=jpjzoom=1$. Parameters 
-$jpi$ and $jpj$ refer to the size of each processor subdomain when the code is 
-run in parallel using domain decomposition (\key{mpp\_mpi} defined, see 
-\S\ref{LBC_mpp}).
-
-
-$\ $\newline    % force a new lign
+%%%
+%%%
+%%%
+Parameters $jpi$ and $jpj$ refer to the size of each processor subdomain when the code is 
+run in parallel using domain decomposition (\key{mpp\_mpi} defined, see \S\ref{LBC_mpp}).
+
+
+$\ $\newline    % force a new line
+
+%%%
+\sfcomment {Hereafter I want to create new subsection 4.2: "fields needed by opa engine or something like this"
+and add list of fields :
+case 1: read in domain.nc
+case 2: defined in userdef\_hrg\/zgr.F90
+longitude, latitude, domaine size 
+number of points
+factor scales (e1, e2, e3)
+coriolis
+k\_top, k\_bottom (first and last ocean level)
+periodicity
+}
+%%%
+
+% ================================================================
+% Domain: List of fields needed
+% ================================================================
+\section  [Domain: Needed fields]
+		{Domain: Needed fields}
+\label{DOM_fields}
+The ocean mesh ($i.e.$ the position of all the scalar and vector points) is defined 
+by the transformation that gives $(\lambda,\varphi,z)$ as a function of $(i,j,k)$. 
+The grid-points are located at integer or integer and a half values of as indicated 
+in Table~\ref{Tab_cell}. The associated scale factors are defined using the  
+analytical first derivative of the transformation \eqref{Eq_scale_factors}. These 
+definitions are done in two modules given by example, \mdl{userdef\_hgr} and \mdl{userdef\_zgr}, which 
+provide the horizontal and vertical meshes, respectively. Otherwise all needed fields can be read in file \np{cn\_domcfg} specified in \ngn{namcfg}.
+ 
+The needed fields for domain are: 
+
+geographic position :
+
+longitude : glamt , glamu , glamv and glamf  (at T, U, V and F point)
+
+latitude : gphit , gphiu , gphiv and gphif (at T, U, V and F point)
+
+Coriolis parameter (if domain not on the sphere):  ff\_f  and  ff\_t (at T and F point)
+
+Scale factors : e1t, e1u, e1v and e1f (on i direction),
+
+   e2t, e2u, e2v and e2f (on j direction)
+
+   and ie1e2u\_v, e1e2u , e1e2v   
+
+%%%
+\sfcomment {
+say something about ie1e2u\_v, e1e2u , e1e2v
+
+and add list of fields :
+case 1: read in domain.nc
+case 2: defined in userdef\_hrg\/zgr.F90
+longitude, latitude, domaine size
+number of points
+factor scales (e1, e2, e3)
+coriolis
+k\_top, k\_bottom (first and last ocean level)
+periodicity
+----
+        int ORCA ;
+   int ORCA\_index ;
+   int jpiglo ; j, k
+   int jperio ;
+   int ln_zco ; zps, sco
+   int ln_isfcav ;
+   double glamt(t, y, x) ; u,v,f
+   double gphit(t, y, x) ; u,v,f
+   double e1t(t, y, x) ; u,v,w,
+   double e2t(t, y, x) ; u,v,w
+   double ff\_f(t, y, x) ;  double ff\_t(t, y, x) ;
+   double e3t\_1d(t, z) ;
+   double e3w\_1d(t, z) ;
+   double e3t\_0(t, z, y, x) ; u0, v0 , w0
+----
+}
+
+% -------------------------------------------------------------------------------------------------------------
+%        Needed fields 
+% -------------------------------------------------------------------------------------------------------------
+%\subsection{List of needed fields to build DOMAIN}
+%\label{DOM_fields_list}
+
 
 % ================================================================
@@ -436,5 +513,5 @@
 the output grid written when $\np{nn\_msh} \not=0$ is no more equal to the input grid.
 
-$\ $\newline    % force a new lign
+$\ $\newline    % force a new line
 
 % ================================================================
Index: trunk/DOC/TexFiles/Preamble.tex
===================================================================
--- trunk/DOC/TexFiles/Preamble.tex	(revision 7646)
+++ trunk/DOC/TexFiles/Preamble.tex	(revision 7705)
@@ -138,4 +138,5 @@
 \newcommand{\sgacomment}[1]{}   	% command to "commented out" portions of
 \newcommand{\gmcomment}[1]{}   	% command to "commented out" portions of
+\newcommand{\sfcomment}[1]{}   	% command to "commented out" portions of
 %                                    				% text that span line breaks
 %Red (NR) or Yellow(WARN)