Index: branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/CONFIG/SHARED/XIOS2/iodef_medusa_et_al.xml
===================================================================
--- branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/CONFIG/SHARED/XIOS2/iodef_medusa_et_al.xml	(revision 7516)
+++ branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/CONFIG/SHARED/XIOS2/iodef_medusa_et_al.xml	(revision 7709)
@@ -1,9 +1,9 @@
 <!-- GO6.0 version of the XIOS namelist -->
-<!-- XIOS2 version namelist -->
-
+<!-- XIOS version 2 -->
 <?xml version="1.0"?>
+
 <simulation> 
 
- <context id="nemo" >
+ <context id="nemo">
     
     <!-- $id$ -->
@@ -15,6 +15,6 @@
 ============================================================================================================
     -->
+    <field_definition src="./field_def_bgc.xml"/>
     <field_definition src="./field_def.xml"/>
-    <field_definition src="./field_def_bgc.xml"/>
     <!-- 
 ============================================================================================================
@@ -24,6 +24,6 @@
 ============================================================================================================
     -->
-    
-    <file_definition type="multiple_file" name="@expname@_@freq@_@startdate@_@enddate@" sync_freq="10d" min_digits="4">
+
+    <file_definition type="multiple_file" name="@expname@_@freq@_@startdate@_@enddate@" sync_freq="1mo" min_digits="4">
     
       <file_group id="1ts" output_freq="1ts"  output_level="10" enabled=".TRUE."/> <!-- 1 time step files -->
@@ -33,93 +33,143 @@
       <file_group id="3h" output_freq="3h"  output_level="10" enabled=".TRUE."/> <!-- 3h files -->     
       <file_group id="4h" output_freq="4h"  output_level="10" enabled=".TRUE."/> <!-- 4h files -->
-      <file_group id="6h" output_freq="6h"  output_level="10" enabled=".FALSE."> <!-- 6h files -->
-        <file id="file8" name_suffix="_UK_shelf" description="Forcings for the UK shelf seas model" >
-          <field field_ref="toce"         name="votemper"     grid_ref="grid_T_3D_zoom"    operation="instant" standard_name="sea_water_potential_temperature"/> 
-          <field field_ref="soce"         name="vosaline"     grid_ref="grid_T_3D_zoom"    operation="instant" standard_name="sea_water_salinity"/>   
-          <field field_ref="ssh"          name="sossheig"     grid_ref="grid_T_2D_zoom"    operation="instant" standard_name="sea_surface_height_above_geoid"/>
-          <field field_ref="uoce"         name="vozocrtx"     grid_ref="grid_U_3D_zoom"    operation="instant" standard_name="sea_water_x_velocity"/>
-          <field field_ref="voce"         name="vomecrty"     grid_ref="grid_V_3D_zoom"    operation="instant" standard_name="sea_water_y_velocity"/>
-          <field field_ref="ubar"         name="ubar"         grid_ref="grid_U_3D_zoom"    operation="instant" standard_name="ocean_barotropic_current_along_i-axis"/>
-          <field field_ref="vbar"         name="vbar"         grid_ref="grid_V_3D_zoom"    operation="instant" standard_name="ocean_barotropic_current_along_j-axis"/>
-        </file>
-      </file_group>
+      <file_group id="6h" output_freq="6h"  output_level="10" enabled=".TRUE."/> <!-- 6h files -->
      
       <file_group id="1d" output_freq="1d"  output_level="10" enabled=".TRUE."/> <!-- 1d files -->
       <file_group id="3d" output_freq="3d"  output_level="10" enabled=".TRUE."/> <!-- 3d files -->    
 
-      <file_group id="10d" output_freq="10d"  output_level="10" enabled=".TRUE.">  <!-- 10d files -->   
-    
+      <file_group id="10d" output_freq="10d" output_level="10" enabled=".TRUE."/> <!-- 10d files -->
+      <file_group id="1m" output_freq="1mo" output_level="10" enabled=".TRUE.">   <!-- 1m files -->   
+
 	<file id="file1" name_suffix="_grid_T" description="ocean T grid variables" >
-          <field_group group_ref="SPIN-UP_T" />
+          <field field_ref="e3t"          name="e3t"        standard_name="cell_thickness" />
+          <field field_ref="toce"         name="votemper"        operation="average" freq_op="1mo" > @toce_e3t / @e3t </field>
+          <field field_ref="toce"         name="votemper2"       operation="average" freq_op="1mo" > @toce2_e3t / @e3t </field>
+          <field field_ref="soce"         name="vosaline"        operation="average" freq_op="1mo" > @soce_e3t / @e3t </field>
+          <field field_ref="soce"         name="vosaline2"       operation="average" freq_op="1mo" > @soce2_e3t / @e3t </field>
+          <field field_ref="ttrd_totad"   name="opottempadvect"  operation="average" freq_op="1mo" > @ttrd_totad_e3t * 1026.0 * 3991.86795711963 </field>
+          <field field_ref="ttrd_iso"     name="opottemppmdiff"  operation="average" freq_op="1mo" > @ttrd_iso_e3t * 1026.0 * 3991.86795711963 </field>
+          <field field_ref="ttrd_zdfp"    name="opottempdiff"    operation="average" freq_op="1mo" > @ttrd_zdfp_e3t * 1026.0 * 3991.86795711963 </field>
+          <field field_ref="ttrd_evd"     name="ttrd_evd"        operation="average" freq_op="1mo" > @ttrd_evd_e3t / @e3t </field>
+          <field field_ref="ttrd_qns"     name="ttrd_qns"        operation="average" freq_op="1mo" > @ttrd_qns_e3t / @e3t_surf </field>
+          <field field_ref="ttrd_qsr"     name="rsdoabsorb"      operation="average" freq_op="1mo" > @ttrd_qsr_e3t * 1026.0 * 3991.86795711963 </field>
+          <field field_ref="ttrd_bbl"     name="ttrd_bbl"        operation="average" freq_op="1mo" > @ttrd_bbl_e3t / @e3t </field>
+          <field field_ref="ttrd_tot"     name="opottemptend"    operation="average" freq_op="1mo" > @ttrd_tot_e3t * 1026.0 * 3991.86795711963 </field>
+          <field field_ref="strd_totad"   name="osaltadvect"     operation="average" freq_op="1mo" > @strd_totad_e3t * 1026.0 * 0.001 </field>
+          <field field_ref="strd_iso"     name="osaltpmdiff"     operation="average" freq_op="1mo" > @strd_iso_e3t * 1026.0 * 0.001  </field>
+          <field field_ref="strd_zdfp"    name="osaltdiff"       operation="average" freq_op="1mo" > @strd_zdfp_e3t * 1026.0 * 0.001  </field>
+          <field field_ref="strd_evd"     name="strd_evd"        operation="average" freq_op="1mo" > @strd_evd_e3t / @e3t </field>
+          <field field_ref="strd_tot"     name="osalttend"       operation="average" freq_op="1mo" > @strd_tot_e3t * 1026.0 * 0.001 </field>
+          <field field_ref="strd_bbl"     name="strd_bbl"        operation="average" freq_op="1mo" > @strd_bbl_e3t / @e3t </field>
+	  <field field_ref="ssh"          name="sossheig"   standard_name="sea_surface_height_above_geoid"                          />
+          <field field_ref="ssh2"         name="zossq"      standard_name="square_of_sea_surface_height_above_geoid"                />
+	  <field field_ref="empmr"        name="sowaflup"   standard_name="water_flux_out_of_sea_ice_and_sea_water"                 />
+	  <field field_ref="saltflx"      name="sosafldo"   standard_name="salt_flux_into_sea_water"                                />
+	  <field field_ref="qt"           name="sohefldo"   standard_name="surface_downward_heat_flux_in_sea_water"                 />
+	  <field field_ref="qsr"          name="soshfldo"   standard_name="downwelling_photosynthetic_radiative_flux_in_sea_water"               />
+          <field field_ref="mldkz5"       name="somixhgt"   standard_name="ocean_mixed_layer_thickness_defined_by_vertical_tracer_diffusivity"   />
+          <field field_ref="mldr10_1"     name="somxl010"   standard_name="ocean_mixed_layer_thickness_defined_by_sigma_theta"      />
+          <field field_ref="mldzint_1"    name="sokaraml"   standard_name="ocean_mixed_layer_thickness"                             />
+          <field field_ref="mldzint_2"    name="somlddbm"   standard_name="ocean_mixed_layer_thickness"                             />
+          <field field_ref="ice_cover"    name="soicecov"   standard_name="sea_ice_area_fraction"                                   />
+          <field field_ref="wspd"         name="sowindsp"   standard_name="wind_speed"                                              />          
+          <field field_ref="qhcisf"       name="sohflisf"   standard_name="ice_shelf_heat_flux"                                                        />
+          <field field_ref="qlatisf"      name="soqlatisf"  standard_name="ice_shelf_latent_heat_flux"                                                        />
+          <field field_ref="fwfisf"       name="sowflisf"   standard_name="ice_shelf_melting"                                                        />
+          <field field_ref="berg_total_melt"       name="berg_total_melt"          standard_name=""                                 />
+          <field field_ref="berg_total_heat_flux"  name="berg_total_heat_flux"     standard_name=""                                 />
+          <field field_ref="runoffs"       name="sorunoff"    standard_name="water_flux_into_sea_water_from_rivers"                 />
+          <field field_ref="hflx_rain_cea" name="hfrainds"    standard_name="temperature_flux_due_to_rainfall_expressed_as_heat_flux_into_sea_water"/>
+          <field field_ref="hflx_evap_cea" name="hfevapds"    standard_name="temperature_flux_due_to_evaporation_expressed_as_heat_flux_out_of_sea_water"/>
+          <field field_ref="evap_ao_cea"   name="evap_ao_cea" standard_name="water_evaporation_flux"                                />
+          <field field_ref="rain"          name="pr"          standard_name="rainfall_flux"                                         />
+          <field field_ref="snowpre"       name="snowpre"     standard_name="snowfall_flux"                                         />
+          <field field_ref="snow_ao_cea"   name="snow_ao_cea" standard_name="snowfall_flux_over_ocean"                              />
+          <field field_ref="snow_ai_cea"   name="snow_ai_cea" standard_name="snowfall_flux_over_sea_ice"                            />
 	</file>
 	
 	<file id="file2" name_suffix="_grid_U" description="ocean U grid variables" >
-          <field_group group_ref="SPIN-UP_U" />	
+          <field field_ref="e3u"          name="e3u"        standard_name="cell_thickness" />
+          <field field_ref="uoce"         name="vozocrtx"     operation="average" freq_op="1mo" > @uoce_e3u / @e3u </field>
+          <field field_ref="uoce"         name="vozocrtx2"    operation="average" freq_op="1mo" > @uoce2_e3u / @e3u </field>
+          <field field_ref="ut"           name="ut"           operation="average" freq_op="1mo" > @ut_e3u / @e3u </field>
+          <field field_ref="us"           name="us"           operation="average" freq_op="1mo" > @us_e3u / @e3u </field>
+	  <field field_ref="utau"         name="sozotaux"   standard_name="surface_downward_x_stress" />
 	</file>
 	
 	<file id="file3" name_suffix="_grid_V" description="ocean V grid variables" >
-          <field_group group_ref="SPIN-UP_V" />
-	</file>
-
+          <field field_ref="e3v"          name="e3v"        standard_name="cell_thickness" />
+          <field field_ref="voce"         name="vomecrty"     operation="average" freq_op="1mo" > @voce_e3v / @e3v </field>
+          <field field_ref="voce"         name="vomecrty2"    operation="average" freq_op="1mo" > @voce2_e3v / @e3v </field>
+          <field field_ref="vt"           name="vt"           operation="average" freq_op="1mo" > @vt_e3v / @e3v </field>
+          <field field_ref="vs"           name="vs"           operation="average" freq_op="1mo" > @vs_e3v / @e3v </field>
+	  <field field_ref="vtau"         name="sometauy"   standard_name="surface_downward_y_stress" />
+	</file>
+	
 	<file id="file4" name_suffix="_grid_W" description="ocean W grid variables" >
-          <field_group group_ref="SPIN-UP_W" />
-	</file>
-	
-	<file id="file5" name_suffix="_diaptr" description="process diagnostics" >
-          <field_group group_ref="SPIN-UP_diaptr" />
-	</file>	
-	
+	  <field field_ref="woce"         name="vovecrtz"   standard_name="upward_sea_water_velocity"                         />
+          <field field_ref="wt"           name="wt"         standard_name=""                                                  />
+          <field field_ref="ws"           name="ws"         standard_name=""                                                  />
+	  <field field_ref="avt"          name="votkeavt"   standard_name="ocean_vertical_heat_diffusivity"                   />
+          <field field_ref="avm"          name="votkeavm"   standard_name="ocean_vertical_momentum_diffusivity"               />
+          <field field_ref="aht2d"        name="soleahtw"   standard_name="vertical_component_of_ocean_xy_tracer_diffusivity" />
+	</file>
+        
+        <file id="file5" name_suffix="_diaptr" description="processed diagnostics" >
+	  <field field_ref="zomsfglo"     name="zomsfglo"   standard_name="meridional_streamfunction_global"           grid_ref="gznl_W_3D"       />
+          <field field_ref="zotemglo"     name="zotemglo"   standard_name="zonal_mean_temperature_global"              grid_ref="gznl_T_3D"       />
+          <field field_ref="zosrfglo"     name="zosrfglo"   standard_name="zonal_mean_surface_global"                  grid_ref="gznl_T_3D"       />
+	  <field field_ref="zosalglo"     name="zosalglo"   standard_name="zonal_mean_salinity_global"                 grid_ref="gznl_T_3D"       />          
+          <field field_ref="zomsfatl"     name="zomsfatl"   standard_name="meridional_streamfunction_atlantic"         grid_ref="gznl_W_3D"       />
+          <field field_ref="zotematl"     name="zotematl"   standard_name="zonal_mean_temperature_atlantic"            grid_ref="gznl_T_3D"       />
+          <field field_ref="zosrfatl"     name="zosrfatl"   standard_name="zonal_mean_surface_atlantic"                grid_ref="gznl_T_3D"       />
+	  <field field_ref="zosalatl"     name="zosalatl"   standard_name="zonal_mean_salinity_atlantic"               grid_ref="gznl_T_3D"       />          
+          <field field_ref="zomsfpac"     name="zomsfpac"   standard_name="meridional_streamfunction_pacific"          grid_ref="gznl_W_3D"       />
+          <field field_ref="zotempac"     name="zotempac"   standard_name="zonal_mean_temperature_pacific"             grid_ref="gznl_T_3D"       />
+          <field field_ref="zosrfpac"     name="zosrfpac"   standard_name="zonal_mean_surface_pacific"                 grid_ref="gznl_T_3D"       />
+	  <field field_ref="zosalpac"     name="zosalpac"   standard_name="zonal_mean_salinity_pacific"                grid_ref="gznl_T_3D"       />
+          <field field_ref="zomsfind"     name="zomsfind"   standard_name="meridional_streamfunction_indian"           grid_ref="gznl_W_3D"       />
+          <field field_ref="zotemind"     name="zotemind"   standard_name="zonal_mean_temperature_indian"              grid_ref="gznl_T_3D"       />
+          <field field_ref="zosrfind"     name="zosrfind"   standard_name="zonal_mean_surface_indian"                  grid_ref="gznl_T_3D"       />
+	  <field field_ref="zosalind"     name="zosalind"   standard_name="zonal_mean_salinity_indian"                 grid_ref="gznl_T_3D"       />          
+          <field field_ref="zomsfipc"     name="zomsfipc"   standard_name="meridional_streamfunction_indian_pacific"   grid_ref="gznl_W_3D"       />
+          <field field_ref="zotemipc"     name="zotemipc"   standard_name="zonal_mean_temperature_indian_pacific"      grid_ref="gznl_T_3D"       />
+          <field field_ref="zosrfipc"     name="zosrfipc"   standard_name="zonal_mean_surface_indian_pacific"          grid_ref="gznl_T_3D"       />
+	  <field field_ref="zosalipc"     name="zosalipc"   standard_name="zonal_mean_salinity_indian_pacific"         grid_ref="gznl_T_3D"       />          
+          <field field_ref="sophtadv"     name="sophtadv"   standard_name="advective_heat_transport"                   grid_ref="gznl_T_2D"       />
+          <field field_ref="sopstadv"     name="sopstadv"   standard_name="advective_salt_transport"                   grid_ref="gznl_T_2D"       />
+          <field field_ref="sophtldf"     name="sophtldf"   standard_name="diffusive_heat_transport"                   grid_ref="gznl_T_2D"       />
+          <field field_ref="sopstldf"     name="sopstldf"   standard_name="diffusive_salt_transport"                   grid_ref="gznl_T_2D"       />
+          <field field_ref="sophtadv_atl" name="sophtadv_atl"   standard_name="advective_heat_transport_atlantic"      grid_ref="gznl_T_2D"       />
+          <field field_ref="sopstadv_atl" name="sopstadv_atl"   standard_name="advective_salt_transport_atlantic"      grid_ref="gznl_T_2D"       />
+          <field field_ref="sophtldf_atl" name="sophtldf_atl"   standard_name="diffusive_heat_transport_atlantic"      grid_ref="gznl_T_2D"       />
+          <field field_ref="sopstldf_atl" name="sopstldf_atl"   standard_name="diffusive_salt_transport_atlantic"      grid_ref="gznl_T_2D"       />
+          <field field_ref="sophtadv_pac" name="sophtadv_pac"   standard_name="advective_heat_transport_pacific"       grid_ref="gznl_T_2D"       />
+          <field field_ref="sopstadv_pac" name="sopstadv_pac"   standard_name="advective_salt_transport_pacific"       grid_ref="gznl_T_2D"       />
+          <field field_ref="sophtldf_pac" name="sophtldf_pac"   standard_name="diffusive_heat_transport_pacific"       grid_ref="gznl_T_2D"       />
+          <field field_ref="sopstldf_pac" name="sopstldf_pac"   standard_name="diffusive_salt_transport_pacific"       grid_ref="gznl_T_2D"       />
+          <field field_ref="sophtadv_ind" name="sophtadv_ind"   standard_name="advective_heat_transport_indian"        grid_ref="gznl_T_2D"       />
+          <field field_ref="sopstadv_ind" name="sopstadv_ind"   standard_name="advective_salt_transport_indian"        grid_ref="gznl_T_2D"       />
+          <field field_ref="sophtldf_ind" name="sophtldf_ind"   standard_name="diffusive_heat_transport_indian"        grid_ref="gznl_T_2D"       />
+          <field field_ref="sopstldf_ind" name="sopstldf_ind"   standard_name="diffusive_salt_transport_indian"        grid_ref="gznl_T_2D"       />
+          <field field_ref="sophtadv_ipc" name="sophtadv_ipc"   standard_name="advective_heat_transport_indopacific"   grid_ref="gznl_T_2D"       />
+          <field field_ref="sopstadv_ipc" name="sopstadv_ipc"   standard_name="advective_salt_transport_indopacific"   grid_ref="gznl_T_2D"       />
+          <field field_ref="sophtldf_ipc" name="sophtldf_ipc"   standard_name="diffusive_heat_transport_indopacific"   grid_ref="gznl_T_2D"       />
+          <field field_ref="sopstldf_ipc" name="sopstldf_ipc"   standard_name="diffusive_salt_transport_indopacific"   grid_ref="gznl_T_2D"       />
+	</file>
+
         <file id="file6" name_suffix="_ptrc_T" description="Medusa sms variables" >
           <field_group group_ref="groupMEDUSA" />
           <field_group group_ref="groupIDTRA" />
           <field_group group_ref="groupCFC" />
+          <field_group group_ref="groupAGE" />
         </file>
 
         <file id="file7" name_suffix="_diad_T" description="Medusa diagnostic variables" >
-          <field_group group_ref="groupMEDUSA_dia" /> 
-          <field_group group_ref="groupMEDUSA_3dd" /> 
+          <field_group group_ref="groupMEDUSA_dia" />
+          <field_group group_ref="groupMEDUSA_3dd" />
           <field_group group_ref="groupMEDUSA_dms" />
           <field_group group_ref="groupIDTRA_dia" />
           <field_group group_ref="groupCFC_dia" />
-        </file>
-       
-      </file_group>
-      
-  
-      <!-- file_group id="1m" output_freq="1mo" split_freq="1mo" output_level="10" enabled=".TRUE." -->  <!-- 1mo files -->   
-      <file_group id="1m" output_freq="1mo" output_level="10" enabled=".FALSE.">  <!-- 1mo files -->   
-
-        <file id="file9" name_suffix="_grid_T" description="ocean T grid variables" >
-          <field_group group_ref="SPIN-UP_T" />
-	</file>
-	
-	<file id="file10" name_suffix="_grid_U" description="ocean U grid variables" >
-          <field_group group_ref="SPIN-UP_U" />
-	</file>
-	
-	<file id="file11" name_suffix="_grid_V" description="ocean V grid variables" >
-          <field_group group_ref="SPIN-UP_V" />
-	</file>
-	
-	<file id="file12" name_suffix="_grid_W" description="ocean W grid variables" >
-          <field_group group_ref="SPIN-UP_W" />
-	</file>
-	
-	<file id="file13" name_suffix="_grid_W" description="ocean W grid variables" >
-          <field_group group_ref="SPIN-UP_diaptr" />
-	</file>
-	
-        <file id="file14" name_suffix="_ptrc_T" description="Medusa sms variables" >
-          <field_group group_ref="groupMEDUSA" />
-          <field_group group_ref="groupIDTRA" />
-          <field_group group_ref="groupCFC" />
-        </file>
-
-        <file id="file15" name_suffix="_diad_T" description="Medusa diagnostic variables" >
-          <field_group group_ref="groupMEDUSA_dia" /> 
-          <field_group group_ref="groupMEDUSA_3dd" /> 
-          <field_group group_ref="groupMEDUSA_dms" />
-          <field_group group_ref="groupIDTRA_dia" />
-          <field_group group_ref="groupCFC_dia" />
+          <field_group group_ref="groupMEDUSA_cmip6" />
         </file>
 
@@ -143,5 +193,5 @@
 ============================================================================================================
     -->
-
+    
    <axis_definition>
       <axis id="deptht" standard_name="depth" long_name="Vertical T levels" unit="m" positive="down" />
@@ -151,10 +201,16 @@
       <axis id="nfloat" long_name="Float number"      unit="-"  />
       <axis id="icbcla" long_name="Iceberg class"     unit="-"  />
+      <axis id="ncatice" long_name="Ice category"       unit="1"               />
+      <axis id="iax_20C" long_name="20 degC isotherm"   unit="degC"            />
+      <axis id="iax_28C" long_name="28 degC isotherm"   unit="degC"            />
+      <axis id="deptht_surface" axis_ref="deptht" >
+         <zoom_axis begin=" 1 " n=" 1 " />
+      </axis>
+
    </axis_definition>
     
    <domain_definition src="./domain_def.xml"/>
    
-   
-  <grid_definition>
+    <grid_definition>
         <!--  -->
        <grid id="grid_T_2D" >
@@ -200,5 +256,5 @@
         <!--  -->
        <grid id="grid_1point" >
-         <domain domain_ref="1point"/>
+         <domain id="1point"/>
        </grid>
         <!--  -->
@@ -209,25 +265,33 @@
         <!--  -->
        <grid id="grid_EqT" >
-         <domain domain_ref="EqT" />
+         <domain id="EqT" />
        </grid>
         <!--  -->
        <grid id="gznl_T_2D">
-         <domain domain_ref="ptr" />
+         <domain id="ptr" />
        </grid>
         <!--  -->
        <grid id="gznl_T_3D">
-         <domain domain_ref="ptr" />
+         <domain id="ptr" />
          <axis id="deptht" />
        </grid>
         <!--  -->
        <grid id="gznl_W_2D">
-         <domain domain_ref="ptr" />
+         <domain id="ptr" />
        </grid>
         <!--  -->
        <grid id="gznl_W_3D">
-         <domain domain_ref="ptr" />
+         <domain id="ptr" />
          <axis id="depthw" />
        </grid>
-  </grid_definition>  
+        <!--  -->
+       <grid id="grid_T_surface_extract">
+         <domain domain_ref="grid_T" />
+         <axis   axis_ref="deptht_surface" />
+       </grid>
+
+    </grid_definition>
+  </context>
+  
 
   <context id="xios">
@@ -235,11 +299,8 @@
       <variable_definition>
 	
-     <!-- 
-        We must have buffer_size > jpi*jpj*jpk*8 (with jpi and jpj the subdomain size)
--->
-	  <variable id="info_level"                type="int">0</variable>
-	  <variable id="using_server"              type="bool">true</variable>
-	  <variable id="using_oasis"               type="bool">true</variable>
-	  <variable id="oasis_codes_id"            type="string" >toyoce</variable>
+	  <variable id="info_level"            type="int">0</variable>
+	  <variable id="using_server"          type="bool">false</variable>
+	  <variable id="using_oasis"           type="bool">true</variable>
+	  <variable id="oasis_codes_id"        type="string" >toyoce</variable>
 	
       </variable_definition>